## org.apache.log4j.spi
Interface ErrorCode

    public interface ErrorCode

This interface defines commonly encoutered error codes.

Since:
  0.9.0
Author:
  Ceki Gülcü

Field Summary
`static int` `ADDRESS_PARSE_FAILURE`
`static int` `CLOSE_FAILURE`
`static int` `FILE_OPEN_FAILURE`
`static int` `FLUSH_FAILURE`
`static int` `GENERIC_FAILURE`
`static int` `MISSING_LAYOUT`
`static int` `WRITE_FAILURE`

Field Detail

### GENERIC_FAILURE

    static final int GENERIC_FAILURE

See Also:
  Constant Field Values

### WRITE_FAILURE

    static final int WRITE_FAILURE

See Also:
  Constant Field Values

### FLUSH_FAILURE

    static final int FLUSH_FAILURE

See Also:
  Constant Field Values

### CLOSE_FAILURE

    static final int CLOSE_FAILURE

See Also:
  Constant Field Values

### FILE_OPEN_FAILURE

    static final int FILE_OPEN_FAILURE

See Also:
  Constant Field Values

### MISSING_LAYOUT

    static final int MISSING_LAYOUT

See Also:
  Constant Field Values

### ADDRESS_PARSE_FAILURE

    static final int ADDRESS_PARSE_FAILURE

See Also:
  Constant Field Values

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.